Name: ovmd
Version: 3.0
Release: 33%{?dist}
Summary: Oracle VM guest daemon
License: GPL
Group: System Environment/Daemons
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libovmapi-devel >= 3.0
Requires: libovmapi >= 3.0
Requires: ovm-template-config >= 3.0

Patch1: dummy.patch
Patch2: sleep-before-start-ovmd.patch
Patch3: remove-sleep-workaround.patch
Patch4: wait-for-ovmapi-ko-to-ready.patch
Patch5: patch8057.patch
Patch6: license-header.patch
Patch7: fix-ol6-console-input.patch
Patch8: change-ovmd-priority.patch
Patch9: initial-config.patch
Patch10: rename-to-initial-config.patch
Patch11: fix-quotation-mark.patch
Patch12: rev102.patch
Patch13: rev104.patch
Patch14: cmd-opts.patch
Patch15: rev108.patch
Patch16: rev118.patch
Patch17: rev128.patch
Patch18: rev137.patch
Patch19: rev139.patch
Patch20: rev141.patch
Patch21: rev143.patch
Patch22: flush-param.patch
Patch23: delete-params-after-configuration.patch
Patch24: disable-initial-config-by-default.patch
Patch25: update-rpm-dependencies.patch
Patch26: remove-xenstoreprovider-dependency.patch
Patch27: rev185.patch
Patch28: rev195.patch
Patch29: rev208.patch
Patch30: rev218.patch
Patch31: rev228.patch
Patch32: rev240.patch
Patch33: rev250.patch
# End Oracle Patches

%description
Oracle VM guest daemon.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
    /sbin/chkconfig --add ovmd
fi

%preun
if [ "$1" = 0 ]; then
    /sbin/service ovmd stop
    /sbin/chkconfig --del ovmd
fi

%files
%defattr(-,root,root)
%doc COPYING
/etc/init.d/ovmd
/etc/sysconfig/ovmd
/usr/sbin/ovmd

%changelog
* Tue Dec 18 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-33 
- fix include 

* Tue Dec 18 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-32 
- Bug 16005057:  Increase MAX_NICS 

* Thu Oct 04 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-31 
- Bug 14660397:  Fixed memory leak which would cause eventual segfault. 

* Thu Sep 06 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-30 
- fix for 14005821.  IPv6 address changes will now trigger an IPChange event 

* Wed Sep 05 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-29 
- Change the way ovmd tells the manager that an adapter has gone away.  Works without changes to current manager code. 

* Sun Sep 02 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-28 
- Fix for 14357811.  Rewrote the whole IPChange detection code path. 

* Wed Feb 29 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-27 
- Fix for 13780749, new network code was not properly setting MAC address in string format. 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-26 
- remove xenstoreprovider dependency.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Feb 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-25 
- update rpm dependencies. 

* Fri Feb 03 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-24 
- disable initial configure by default
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Jan 17 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-23 
- Delete initail configuration parameters after configuration
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Prochniak <steve.prochniak@oracle.com> 

* Fri Jan 13 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-22 
- change --flush-params to --flush-param to keep consistent with other options.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Prochniak <steve.prochniak@oracle.com> 

* Thu Jan 12 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-21 
- fix include 

* Thu Jan 12 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-20 
- implement getParam and cleanup some dysfunctional code 

* Fri Jan 06 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-19 
- Fix #include 

* Fri Jan 06 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-18 
- implement -x, flush params 

* Tue Jan 03 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-17 
- Rewrite of function to get network information for ifChange message 

* Thu Dec 01 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-16 
- Entropy issues - bug 13444561.  Added commandline option for poll delay and a larger default. 

* Fri Nov 18 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-15 
- Add error handling for case of script not found 

* Fri Nov 18 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-14 
- change command line options. 

* Fri Nov 18 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-13 
- fix daemon mode problem 

* Fri Nov 18 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-12 
- Handle RECONFIG event 

* Tue Oct 04 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-11 
- fix quotation mark 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-10 
- rename first_config to initial_config [bug 13004324] 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-9 
- rename OVMD_CONFIG_MODE to INITIAL_CONFIG
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13004324] 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-8 
- change ovmd service priority. 

* Wed Sep 28 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-7 
- fix console input on ol6 [bug 13004233] 

* Tue Sep 13 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-6 
- add license header 

* Tue Aug 16 2011 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-5 
- Attempt to call OVMAPI_Register more than once.  Should alleviate a startup race condition with the ovmapi driver. 

* Thu Aug 11 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-4 
- give 3 second for ovmapi.ko to get ready. 

* Fri Aug 05 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-3 
- param loss issue has been fixed in xenstoreprovider. remove this workarond. 

* Wed Aug 03 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-2 
- give 3 second for ovmapi.ko to get ready.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Steve Prochniak <steve.prochniak@oracle.com> 

* Mon Jun 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-1 
- Initial build.
